FindBugsPlugin (Gradle API 2.9)
Date: 2015-11-17

Package: org.gradle.api.plugins.quality

## [Groovy] Class FindBugsPlugin

- org.gradle.api.plugins.quality.FindBugsPlugin

- A plugin for the FindBugs byte code analyzer.

  Declares a `findbugs` configuration which needs to be configured with the FindBugs library to be used. Additional plugins can be added to the `findbugsPlugins` configuration.

  For projects that have the Java (base) plugin applied, a FindBugs task is created for each source set.

  See Also:
    FindBugs
    FindBugsExtension

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `DEFAULT_FINDBUGS_VERSION` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin` | `__$stMC`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `beforeApply()`
    `protected void` | `configureForSourceSet(SourceSet sourceSet, FindBugs task)`
    `protected void` | `configureTaskDefaults(FindBugs task, String baseName)`
    `protected CodeQualityExtension` | `createExtension()`
    `protected Class<FindBugs>` | `getTaskType()`
    `protected String` | `getToolName()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin` | `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#setProperty(java.lang.String, java.lang.Object), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#getProperty(java.lang.String), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#invokeMethod(java.lang.String, java.lang.Object), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#apply(org.gradle.api.internal.project.ProjectInternal), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#apply(java.lang.Object), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#getMetaClass(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#setMetaClass(groovy.lang.MetaClass), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#wait(long, int), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#wait(long), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#wait(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#equals(java.lang.Object), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#toString(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#hashCode(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#getClass(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#notify(), org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String DEFAULT_FINDBUGS_VERSION

  - ### Method Detail

    - #### @Override protected void beforeApply()

    - #### @Override protected void configureForSourceSet(SourceSet sourceSet, FindBugs task)

    - #### @Override protected void configureTaskDefaults(FindBugs task, String baseName)

    - #### @Override protected CodeQualityExtension createExtension()

    - #### @Override protected Class<FindBugs> getTaskType()

    - #### @Override protected String getToolName()